#include "guess.h"
#include <bits/stdc++.h>

using namespace std;

int find_number(int MAX)
{
    int low = 0, high = MAX;

    while (low < high)
    {
        int mid = (low + high + 1) / 2;
        if (smaller(mid))
            high = mid - 1;
        else
            low = mid;
    }

    return low;
}
